<?
/* @var $this Zend_View*/
$m = new Model_AgencyItem($this->agency);
$current_user = Model_Users::getCurrent();
$client = Cubix_Api_XmlRpc_Client::getInstance();
?>
    <div class="profile-backdrop"></div>
    <input type="hidden" id="participant" value="agency-<?= $this->agency->agency_id ?>">

    <div class="info-container box-section d-flex justify-content-between">

        <div class="img-top-bar mobile w-100 p-2">
            <div class="name py-2">
                <a class="pr-20" title="<?=__('back')?>" href="/agencies"><i class="fas fa-arrow-left"></i></a>
                <?= $this->agency->club_name ?> <?= $m->isOnline() ? '<span class="status float-right">online</span>' : ''?>
            </div>
            <?= ($this->agency->city_title) ? $this->agency->city_title : '' ?>
            <?= ($this->agency->city_title && $this->agency->country_title) ? ', ':''?>
            <?= ($this->agency->country_title) ? $this->agency->country_title: ''?>
            <? if ( strlen($this->escort->website) ): ?>
                <span class="point desktop"></span>
                <a target="_blank" rel="nofollow" href="<?= $this->getLink('external-link', array('link' => $this->escort->website,'user_type'=>'agency','id'=>$this->escort->agency_id)) ?>" class="grey">
                    <span class="mobile"><?= __('website')?>: </span>
                    <?php $this->escort->website = rtrim(str_replace( array('www.', 'http://', 'https://' ) , '', $this->escort->website), "/");
                    echo	( strlen($this->escort->website) < 30 ? $this->escort->website : __('visit_website') ) ?>
                </a>
            <? endif; ?>
            <div class="agency-agency mt-2"><i><?= __('last_modified')?>: <?= ($this->agency->last_modified) ? date("d M Y", strtotime($this->agency->last_modified)) : '---' ?></i></div>
        </div>

        <div class="image <?= $this->agency->photo_hash ? ''  : 'no-image' ?> agency-profile-avatar" data-tooltip="<?= $this->agency->club_name ?>" style="background-image: url('<?= ($this->agency->photo_hash) ? $m->getLogoUrlV2($this->agency->photo_hash, $this->agency->photo_ext, 'thumb_cropper_agency') : '/images/agency_no_logo.svg' ?>');">
        </div>
        <div class="group-container">
            <div class="name d-flex align-items-center desktop"><?= $this->agency->club_name ?> <?= $m->isOnline() ? '<span class="status">online</span>' : ''?></div>
            <div class="info d-flex align-items-center flex-wrap desktop">
                    <?= __('escort_agency')?> in
                    <?= ($this->agency->city_title) ? $this->agency->city_title : '' ?>
                    <?= ($this->agency->city_title && $this->agency->country_title) ? ', ':''?>
                    <?= ($this->agency->country_title) ? $this->agency->country_title: ''?>
                    <? if ( strlen($this->escort->website) ): ?>
                        <span class="point desktop"></span>
                        <a target="_blank" rel="nofollow" href="<?= $this->getLink('external-link', array('link' => $this->escort->website,'user_type'=>'agency','id'=>$this->escort->agency_id)) ?>" class="grey">
                            <span class="mobile"><?= __('website')?>: </span>
                            <?php $this->escort->website = rtrim(str_replace( array('www.', 'http://', 'https://' ) , '', $this->escort->website), "/");
                            echo	( strlen($this->escort->website) < 30 ? $this->escort->website : __('visit_website') ) ?>
                        </a>
                    <? endif; ?>
            </div>
            <div class="agency-agency desktop"><i><?= __('last_modified')?>: <?= ($this->agency->last_modified) ? date("d M Y", strtotime($this->agency->last_modified)) : '---' ?></i></div>

            <div class="agency-details about">
                <p>
                    <?= $this->render('agencies/profile/about.phtml') ?>
                </p>
                <div class="mobile">
                    <hr>
                    <?= $this->render('agencies/profile/working_times.phtml')?>
                </div>
            </div>
        </div>
        <div class="mobile buttons-fixed d-flex button-container profile-bottom-panel">
            <span class="close-btn"><i class="fas fa-times"></i></span>
            <div class="pullbar">
                <div class="d-flex justify-content-center align-items-center">
                    <?= __('contact_me') ?>
                </div>
            </div>
            <div class="mobile">
                <? if ($this->is_followed) : ?>
                    <a class="action-button unfollow-me-button"><?= __('unfollow') ?></a>
                <? else: ?>
                    <a class="action-button follow-me-button"><?= __('follow') ?></a>
                <? endif; ?>

            <? if ($this->agency->contact_phone_parsed && strlen($this->agency->contact_phone_parsed) > 4) : ?>
                <a href="tel:<?= $this->agency->contact_phone_parsed ?>" class="action-button text-lowercase"><i class="fas fa-phone"></i> &nbsp;<small> <?= __('call')?></small></a>
            <?php else: ?>
                <a class="action-button text-lowercase disabled"><i class="fas fa-phone-slash"></i>&nbsp; <small> <?= __('call')?></small></a>
            <?php endif; ?>

                <a class="action-button send-message"><i class="far fa-comments"></i>&nbsp;<?= __('message') ?></a>
            </div>
        </div>
    </div>



<!---->
<!--<section id="profile-info" class="clearfix">-->
<!--    <div class="fright">-->
<!--        --><?// if ($filtered_phone && (strlen($filtered_phone) > 4)): ?>
<!--            <span class="phone-number">-->
<!--				--><?//= $filtered_phone ?>
<!--			</span>-->
<!--        --><?// endif; ?>
<!--        --><?// $PmIsBlockedBy = $client->call('Users.getPmIsBlockedByUserId', array($this->agency->user_id)); ?>
<!--        <input type="hidden" value="--><?//= $current_user->pm_is_blocked ?><!--">-->
<!--        --><?// if ($current_user && !$current_user->pm_is_blocked && !$PmIsBlockedBy) : ?>
<!--            <a data-newletter-popup="off" href="#" class="pm">PM</a>-->
<!--        --><?// endif; ?>
<!--    </div>-->
<!--    <div class="clear"></div>-->
<!--</section>-->



<?php //= $this->render('agencies/profile/comment.phtml') ?>